Create a payroll

Creates a payroll.

Query Params
boolean
Defaults to false

Enable this flag to define items directly on this payroll.

boolean
Defaults to false

Enable this flag to define contractor_payments directly on this payroll.

Body Params
string
required

ID of the company to run payroll for.

date
required

The start of the date range that the payroll covers.

date
required

The end of the date range that the payroll covers.

date
required

The date on which employees will be paid for the payroll.

string

The processing period of the payroll.

One of three_day, two_day, or one_day.

The processing period determines the approval deadline of the payroll. For a payroll with a Friday payday, three_day will mean the approval deadline is on Tuesday, whereas two_day will mean the approval deadline is on Wednesday, and one_day will mean the approval deadline is on Thursday.

The possible values for this field are constrained by the processing periods the company is approved for.

Default: processing_period of the company

string

Indicates whether the payroll is a regular, off-cycle, or amendment payroll.

One of regular,off_cycle, or amendment.

Default: regular

string

Frequency by which employees get paid.

One of weekly, biweekly, semimonthly, monthly, quarterly, or annually.

Default: biweekly

string

Payment method for funding the payroll.

One of ach or wire.

Default: ach

string

ID of the pay schedule that the payroll relates to.

off_cycle_options
object

Additional configuration options controlling off_cycle payroll behavior.

items
array of objects

The set of payroll items associated with the payroll. Must set include_items=true.

items
contractor_payments
array of objects

The set of contractor payments associated with the payroll. Must set include_contractor_payments=true.

contractor_payments
json

Additional loosely structured information to associate with the payroll. Values must be string.

string

ID of the bank account that will be used to fund the payroll.

Default: default_bank_account of the company

Response

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json